> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink shape

> Unlink a library Shape from the project.

**Operation ID:** `http.shapes.links.remove`

```http theme={null}
DELETE /v1/orgs/{org}/projects/{project}/shapes/links/{shape}
```


## OpenAPI

````yaml openapi.json DELETE /v1/orgs/{org}/projects/{project}/shapes/links/{shape}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/links/{shape}:
    delete:
      tags:
        - Shapes
      summary: Unlink shape
      description: |-
        Unlink a library Shape from the project.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.links.remove
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: shape
          in: path
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          description: >-
            1–200 printable ASCII characters, no surrounding spaces; '.' and
            '..' are reserved. Reuse this key with the same request when
            retrying an uncertain outcome.
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_links_remove_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_links_remove_response:
      type: object
      properties:
        request_id:
          type: string
        outcome:
          type: string
          const: applied
        replayed:
          type: boolean
        data:
          type: object
          properties:
            project_id:
              type: string
            shape_id:
              type: string
            publisher_id:
              type: string
            revision_id:
              type: string
            artifact_digest:
              type: string
            generation:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            status:
              type: string
              enum:
                - active
                - removed
            link_revision:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            linked_at:
              type: string
            removed_at:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - project_id
            - shape_id
            - publisher_id
            - revision_id
            - artifact_digest
            - generation
            - status
            - link_revision
            - linked_at
            - removed_at
          additionalProperties: {}
      required:
        - request_id
        - outcome
        - replayed
        - data
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.